%define upstream_name    Catalyst-Plugin-Authentication-Store-DBIC
%define upstream_version 0.11

Name:		perl-Catalyst-P-A-Store-DBIC
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
Epoch:		1

Summary:	Authentication and authorization against a Class::DBI model
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Catalyst) >= 5.49
BuildRequires:	perl(Catalyst::Plugin::Authentication) >= 0.06
BuildRequires:  perl(Catalyst::Model::DBIC::Schema)
BuildRequires:  perl(Catalyst::Plugin::Authorization::Roles)
BuildRequires:  perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires:  perl(Class::DBI)
BuildRequires:	perl(DBI)
BuildRequires:  perl(DBIx::Class)
BuildRequires:	perl(Set::Object) >= 1.14
BuildRequires:  perl(Test::WWW::Mechanize::Catalyst)
Provides:	perl-%{upstream_name}
Obsoletes:	perl-%{upstream_name}
BuildArch:	noarch


%description
This Catalyst plugin uses a DBIx::Class (or Class::DBI) object to
authenticate a user.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%perl_vendorlib/Catalyst
%_mandir/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:0.110.0-4.mga4
+ Revision: 509669
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.110.0-3.mga3
+ Revision: 363926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 1:0.110.0-2.mga1
+ Revision: 42078
- mageia rebuild
- imported package perl-Catalyst-P-A-Store-DBIC

